Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class LoaderResource

    java.lang.Object
      org.jboss.portal.common.util.LoaderResource

    public abstract class LoaderResource

extends java.lang.Object

Represent a resource that may or not exist.

Version:
  $Revision: 7380 $
Author:
  Julien Viet

Field Summary
`protected java.lang.String` | `location`

Constructor Summary
`LoaderResource(java.lang.String location)`

Method Summary
`org.w3c.dom.Document` | `asDocument(javax.xml.parsers.DocumentBuilder builder)`
`abstract java.io.InputStream` | `asInputStream()`
`java.util.Properties` | `asProperties()`
`java.util.Properties` | `asProperties(boolean xml)`
`java.lang.String` | `asString()`
`java.lang.String` | `asString(java.lang.String enc)`
`abstract boolean` | `exists()`
`java.lang.String` | `getLocation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    protected final java.lang.String location

Constructor Detail

### LoaderResource

    public LoaderResource(java.lang.String location)

Method Detail

### exists

    public abstract boolean exists()

### asInputStream

    public abstract java.io.InputStream asInputStream()
                                               throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### getLocation

    public java.lang.String getLocation()

### asDocument

    public org.w3c.dom.Document asDocument(javax.xml.parsers.DocumentBuilder builder)
                                    throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### asProperties

    public java.util.Properties asProperties()
                                      throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### asProperties

    public java.util.Properties asProperties(boolean xml)
                                      throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### asString

    public java.lang.String asString()
                              throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### asString

    public java.lang.String asString(java.lang.String enc)
                              throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.